Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`imap4`.`_MessageStructure``

class documentation

`class _MessageStructure: (source)`

Known subclasses: `twisted.mail.imap4._MultipartMessageStructure`, `twisted.mail.imap4._SinglepartMessageStructure`

Constructor: `_MessageStructure(message, attrs)`

View In Hierarchy

`_MessageStructure` is a helper base class for message structure classes representing the structure of particular kinds of messages, as defined by their MIME type.

Method | `__init__` | No summary
Instance Variable | `attrs` | Undocumented
Instance Variable | `message` | Undocumented
Method | `_disposition` | Parse a Content-Disposition header into a two-sequence of the disposition and a flattened list of its parameters.
Method | `_unquotedAttrs` | No summary

def __init__(self, message, attrs): (source)
overridden in `twisted.mail.imap4._MultipartMessageStructure`, `twisted.mail.imap4._SinglepartMessageStructure`

Parameters
message | An `IMessagePart` provider which this structure object reports on.
attrs | A `dict` giving the parameters of the Content-Type header of the message.

attrs = (source)
overridden in `twisted.mail.imap4._SinglepartMessageStructure`

Undocumented

message = (source)

Undocumented

def _disposition(self, disp): (source)

Parse a Content-Disposition header into a two-sequence of the disposition and a flattened list of its parameters.

Returns
`None` if there is no disposition header value, a `list` with two elements otherwise.

def _unquotedAttrs(self): (source)

Returns
The Content-Type parameters, unquoted, as a flat list with each Nth element giving a parameter name and N+1th element giving the corresponding parameter value.